cascading.stats

## Enum CascadingStats.Type

- java.lang.Object
- - java.lang.Enum<CascadingStats.Type>
  - - cascading.stats.CascadingStats.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CascadingStats.Type>
  Enclosing class:
    CascadingStats<Child>

      public static enum CascadingStats.Type
      extends java.lang.Enum<CascadingStats.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTEMPT`
    `CASCADE`
    `FLOW`
    `NODE`
    `SLICE`
    `STEP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isChild(CascadingStats.Type type)`
    `static CascadingStats.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CascadingStats.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CASCADE

          public static final CascadingStats.Type CASCADE

    - #### FLOW

          public static final CascadingStats.Type FLOW

    - #### STEP

          public static final CascadingStats.Type STEP

    - #### NODE

          public static final CascadingStats.Type NODE

    - #### SLICE

          public static final CascadingStats.Type SLICE

    - #### ATTEMPT

          public static final CascadingStats.Type ATTEMPT

  - ### Method Detail

    - #### values

          public static CascadingStats.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CascadingStats.Type c : CascadingStats.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CascadingStats.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isChild

          public boolean isChild(CascadingStats.Type type)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.